From dc9dccf6c802b9c55ac4eccad424d2b1af9f4b93 Mon Sep 17 00:00:00 2001
From: Florian Schmaus <flo@geekplace.eu>
Date: Thu, 20 Apr 2023 09:01:35 +0200
Subject: [PATCH] io/network/address.h: add missing cstdint include

With 9825f2d0659a ("minor fixes in network (#184)") the type of addr
was changed from std::string to std::vector<uint8_t>, however the
header for uint8_t was not included.

Downstream Gentoo bug: https://bugs.gentoo.org/894738

Fixes: 9825f2d0659a ("minor fixes in network (#184)")
---
 src/io/network/address.h | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/io/network/address.h b/src/io/network/address.h
index c8c33578..46dcd3c9 100644
--- a/src/io/network/address.h
+++ b/src/io/network/address.h
@@ -2,6 +2,7 @@
 #define SP2_IO_NETWORK_ADDRESS_H
 
 #include <stringImproved.h>
+#include <cstdint>
 #include <list>
 
 
